=== debian/changelog ===
octomap (1.6.8+dfsg-2.1) unstable; urgency=medium

  * Rename library packages for g++5 ABI transition. (Closes: #791221)
  * debian/rules: Fix paths according to previous renames.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2015 15:36:45 +0200

octomap (1.6.8+dfsg-2) unstable; urgency=medium

  * Team upload.
  * [6fa12fd] Fix compilation against qglviewer-qt4.

 -- Anton Gladky <gladk@debian.org>  Tue, 30 Jun 2015 22:36:13 +0200

octomap (1.6.8+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Updating install files.
  * Added upstream changelog.
  * Updating lintian-overrides files.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 29 Sep 2014 11:13:53 +0200

octomap (1.6.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #742709)
  * Repackaged to avoid unneeded files.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 20 May 2014 10:04:15 +0200
