=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_OPTIONS += nocheck

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filterparallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

# These don't need to be exported and if they are we'll get the flags
# duplicated in the command line.
#unexport CFLAGS  
#unexport CXXFLAGS
#unexport LDFLAGS

CMAKE_FLAGS = \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
        -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
        -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
        -DCMAKE_SKIP_INSTALL_RPATH=TRUE
%:
	dh $@ --builddirectory=build --buildsystem=cmake --parallel

override_dh_clean:
	rm -rf build bin lib
	dh_clean

override_dh_auto_configure:
	mkdir -p build
	dh_auto_configure --builddirectory=build -- $(CMAKE_FLAGS) $(CMAKE_ARCH_FLAGS)


override_dh_auto_build:
	cd build && $(MAKE) 

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/liboctomap1.6v5-dbg && cp debian/README.Debug debian/tmp/usr/share/doc/liboctomap1.6v5-dbg/
	mkdir -p debian/tmp/usr/share/doc/liboctovis1.6v5-dbg && cp debian/README.Debug debian/tmp/usr/share/doc/liboctovis1.6v5-dbg/
	mkdir -p debian/tmp/usr/share/doc/libdynamicedt3d1.6-dbg && cp debian/README.Debug debian/tmp/usr/share/doc/libdynamicedt3d1.6-dbg/
	mkdir -p debian/tmp/usr/share/doc/liboctomap1.6v5 debian/tmp/usr/share/doc/libdynamicedt3d1.6
	gzip -n -c -9 octomap/CHANGELOG.txt > debian/tmp/usr/share/doc/liboctomap1.6v5/changelog.gz
	gzip -n -c -9 dynamicEDT3D/CHANGELOG.txt > debian/tmp/usr/share/doc/libdynamicedt3d1.6/changelog.gz
	dh_install --list-missing

override_dh_auto_test:
	echo "Supressing upstream tests"

override_dh_installdocs:
	dh_installdocs -pliboctovis-dev --link-doc=liboctomap1.6v5
	dh_installdocs -poctomap-tools --link-doc=liboctomap1.6v5
	dh_installdocs -pliboctovis1.6 --link-doc=liboctomap1.6v5
	dh_installdocs -poctovis --link-doc=liboctomap1.6v5
	dh_installdocs -pliboctomap-dev --link-doc=liboctomap1.6v5
	dh_installdocs -plibdynamicedt3d-dev --link-doc=libdynamicedt3d1.6
	dh_installdocs

override_dh_strip:
	dh_strip -pliboctomap1.6v5 --dbg-package=liboctomap1.6v5-dbg
	dh_strip -pliboctovis1.6v5 --dbg-package=liboctovis1.6v5-dbg
	dh_strip -plibdynamicedt3d1.6 --dbg-package=libdynamicedt3d1.6-dbg
	dh_strip -poctomap-tools
	dh_strip -poctovis

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
