=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3

# For GitHub projects you can use the tags page:
#opts=dversionmangle=s/\+dfsg// \
opts=uversionmangle=s/$/+dfsg/ \
 https://github.com/OctoMap/octomap/tags .*/v?(\d\S*)\.tar\.gz
