=== octomap/src/testing/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,6 @@
 
 ADD_EXECUTABLE(test_scans test_scans.cpp)
 TARGET_LINK_LIBRARIES(test_scans octomap)
-
-ADD_EXECUTABLE(test_lut test_lut.cpp)
-TARGET_LINK_LIBRARIES(test_lut octomap)
 
 ADD_EXECUTABLE(test_color_tree test_color_tree.cpp)
 TARGET_LINK_LIBRARIES(test_color_tree octomap)
