=== debian/changelog ===
octomap (1.8.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable otcovis on armel and armhf

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Sep 2016 14:51:54 +0200

octomap (1.8.0+dfsg-2) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to 1.8.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 15 Jun 2016 10:13:41 +0200

octomap (1.8.0+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * Imported Upstream version 1.8.0+dfsg
  * Dropped unused patches
  * Renamed files because soname bump
  * Dropped dbg packages because new debhelper utility
  * Dropped unneeded part
  * Updated copyright
  * Bumped Standards-Version to 3.9.8. No changes

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 10 Jun 2016 09:32:39 +0200

octomap (1.6.8+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use HTTPS in Vcs-* fields.
  * Drop explicit dependency on libqglviewer2, it gets automatically added.
    (Closes: #826203)

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 03 Jun 2016 09:48:09 +0000
