## octomap 1.8.1%2Bdfsg

=== octomap/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
   OcTree.cpp
   OcTreeNode.cpp
   OcTreeStamped.cpp
-  OcTreeLUT.cpp
   ColorOcTree.cpp
   )
 
@@ -57,11 +56,8 @@
 ADD_EXECUTABLE(intersection_example intersection_example.cpp)
 TARGET_LINK_LIBRARIES(intersection_example octomap)
 
-
-# installation:
-# store all header files to install:
-# file(GLOB octomap_impl_HDRS *.h *.hxx *.hpp)
-# install(FILES ${octomap_impl_HDRS} DESTINATION include/octomap)
+ADD_EXECUTABLE(octree2pointcloud octree2pointcloud.cpp)
+TARGET_LINK_LIBRARIES(octree2pointcloud octomap)
 
 install(TARGETS 
 	octomap
