=== debian/changelog ===
octomap (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 24 Jan 2017 15:30:49 +0100
