=== debian/control ===
Source: octomap
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libqglviewer-dev-qt4 [!armel !armhf]
Standards-Version: 3.9.8
Homepage: http://octomap.github.io
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/octomap.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/octomap.git

Package: liboctomap1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3D occupancy grid mapping approach library for mapping 
 The OctoMap library implements a 3D occupancy grid mapping approach,
 providing data structures and mapping algorithms in C++ particularly suited
 for robotics. The map implementation is based on an octree and is designed
 to meet the following requirements: Full 3D model, Updatable, Flexible and
 Compact. This package contains the library itself.

Package: octomap-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for 3D occupancy grid mapping 
 The OctoMap library implements a 3D occupancy grid mapping approach,
 providing data structures and mapping algorithms in C++ particularly suited
 for robotics. The map implementation is based on an octree and is designed 
 to meet the following requirements: Full 3D model, Updatable, Flexible and 
 Compact. This package contains tools to use with Octomap library.

Package: liboctomap-dev
Architecture: any  
Section: libdevel  
Depends: liboctomap1.8 (= ${binary:Version}),
         ${misc:Depends}
Description: Octomap library development files
 The OctoMap library implements a 3D occupancy grid mapping approach,
 providing data structures and mapping algorithms in C++ particularly suited
 for robotics. The map implementation is based on an octree and is designed 
 to meet the following requirements: Full 3D model, Updatable, Flexible and 
 Compact. This package contains the development stuff.

Package: libdynamicedt3d1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Incrementally updatable Euclidean distance transform library
 The dynamicEDT3D library implements an incrementally updatable Euclidean
 distance transform (EDT) in 3D. It comes with a wrapper to use the OctoMap
 3D representation and hooks into the change detection of the OctoMap library
 to propagate changes to the EDT.

Package: libdynamicedt3d-dev
Architecture: any  
Section: libdevel  
Depends: libdynamicedt3d1.8 (= ${binary:Version}),
         ${misc:Depends}
Description: dynamicEDT3D library development files
 The dynamicEDT3D library implements an incrementally updatable Euclidean  
 distance transform (EDT) in 3D. It comes with a wrapper to use the OctoMap  
 3D representation and hooks into the change detection of the OctoMap library
 to propagate changes to the EDT. This package contains the development
 files.

Package: liboctovis1.8
Architecture: amd64 arm64 i386 mips mips64el mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpcspe ppc64 sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Visualization library for OctoMap 
 Visualization library for the OctoMap library based on Qt and libQGLViewer.
 This library encapsulates the functions to view a Octomap octrees. It
 provides an API to visualizate the octree.

Package: liboctovis-dev
Architecture: amd64 arm64 i386 mips mips64el mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpcspe ppc64 sh4 sparc64 x32
Section: libdevel  
Depends: liboctovis1.8 (= ${binary:Version}),
         ${misc:Depends}
Description: Visualization library for OctoMap development files
 Visualization library for the OctoMap library based on Qt and libQGLViewer.
 This library encapsulates the functions to view a Octomap octrees. This package 
 contains the development files.

Package: octovis
Architecture: amd64 arm64 i386 mips mips64el mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpcspe ppc64 sh4 sparc64 x32
Depends: liboctovis1.8 (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends},
Description: Visualization tool for OctoMap
 Visualization library for the OctoMap library based on Qt and libQGLViewer.
 This package contains the tool for visualization. It's a viewer that lets
 you view an OctoMap.
