=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_OPTIONS += nocheck

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filterparallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

CMAKE_FLAGS = \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
        -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
        -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
        -DCMAKE_SKIP_INSTALL_RPATH=TRUE
%:
	dh $@ --builddirectory=build --buildsystem=cmake --parallel

override_dh_clean:
	rm -rf build bin lib
	dh_clean

override_dh_auto_configure:
	mkdir -p build
	dh_auto_configure --builddirectory=build -- $(CMAKE_FLAGS) $(CMAKE_ARCH_FLAGS)


override_dh_auto_build:
	cd build && $(MAKE) 

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/liboctomap1.8 debian/tmp/usr/share/doc/libdynamicedt3d1.8
	gzip -n -c -9 octomap/CHANGELOG.txt > debian/tmp/usr/share/doc/liboctomap1.8/changelog.gz
	gzip -n -c -9 dynamicEDT3D/CHANGELOG.txt > debian/tmp/usr/share/doc/libdynamicedt3d1.8/changelog.gz
	dh_install --list-missing

override_dh_auto_test:
	echo "Supressing upstream tests"

get-orig-source:
	uscan --verbose --force-download --repack --compress xz


override_dh_installdocs:
	dh_installdocs -pliboctovis-dev --link-doc=liboctomap1.8
	dh_installdocs -poctomap-tools --link-doc=liboctomap1.8
	dh_installdocs -pliboctovis1.8 --link-doc=liboctomap1.8
	dh_installdocs -poctovis --link-doc=liboctomap1.8
	dh_installdocs -pliboctomap-dev --link-doc=liboctomap1.8
	dh_installdocs -plibdynamicedt3d-dev --link-doc=libdynamicedt3d1.8
	dh_installdocs
